> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all apps

> Returns all apps user has access to, optionally filtered by app type.

- Users with the `nx1_app_manager` role can see all apps.
- Users with app-specific roles can see only apps they have access to.
- If a user has no roles to any app, it returns an empty list instead of an error.



## OpenAPI

````yaml get /api/app
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/app:
    get:
      tags:
        - App manager
      summary: Get all apps
      description: >-
        Returns all apps user has access to, optionally filtered by app type.


        - Users with the `nx1_app_manager` role can see all apps.

        - Users with app-specific roles can see only apps they have access to.

        - If a user has no roles to any app, it returns an empty list instead of
        an error.
      operationId: get_all_apps_api_app_get
      parameters:
        - name: app_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AppTypeEnum'
              - type: 'null'
            title: App Type
      responses:
        '200':
          description: Apps retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppResponse'
                title: Response Get All Apps Api App Get
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    AppTypeEnum:
      type: string
      enum:
        - hand_authored
        - notebook_pipeline
        - inference_service
        - full_pipeline
      title: AppTypeEnum
    AppResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique ID of the app.
        app_name:
          type: string
          title: App Name
          description: Name of the app.
        app_type:
          $ref: '#/components/schemas/AppTypeEnum'
          description: Type of application.
          default: hand_authored
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: Username of the creator.
        created_date:
          title: Created Date
          description: Timestamp when the app was created.
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
          description: Username of the last updater.
        updated_date:
          title: Updated Date
          description: Timestamp when the app was last updated.
      type: object
      required:
        - id
        - app_name
        - created_date
        - updated_date
      title: AppResponse
      description: Response model for app details.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````